#!/usr/bin/env python
#-*- coding: utf-8 -*-

import sys
from datetime import datetime
from my_apachelog import MyParser, parse_date

fmt = r'%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-agent}i\"'

def parse_apache_log(fichier, format_):
    p = MyParser(format_)
    return (p.parse(line) for line in open(fichier))

if __name__ == '__main__':
    for line in parse_apache_log('jdm_access.log', fmt):
        print(line)
        sys.exit()
