#!/usr/bin/env python
#-*- coding: utf-8 -*-

import sys

#from wsgiref.util import setup_testing_defaults
from wsgiref.simple_server import make_server

log_path = "/home/joel/TPPYTHON/AnaLog/"
logfile = '{}/jdm_access.log'.format(log_path)
sys.path.insert(0, log_path)

import analogmod

def simple_app(environ, start_response):
#    setup_testing_defaults(environ)

    status = '200 OK'
    headers = [('Content-type', 'text/plain; charset=utf-8')]

    start_response(status, headers)

    path_info = environ['PATH_INFO']

    ret = []
    for line in analogmod.get_by_status(logfile, '500'):
        ret += [
            "{} {} {} {}\n".format(
                line['host'], line['time'],
                line['request'], line['status']).encode("utf-8")
        ]
    return ret

httpd = make_server('', 8001, simple_app)
print("Serving on port 8001...")
httpd.serve_forever()
