#!/usr/bin/env python
#-*- coding: utf-8 -*-

from wsgiref.util import setup_testing_defaults
from wsgiref.simple_server import make_server

"""
Affiche les modifications de l'environnement en fonction de la requête
port 8000
"""

env_orig = None

def simple_app(environ, start_response):
    global env_orig
    if env_orig == None:
        env_orig = environ
    setup_testing_defaults(environ)

    status = '200 OK'
    headers = [('Content-type', 'text/plain; charset=utf-8')]

    start_response(status, headers)

    ret = [("%s: %s\n" % (key, value)).encode("utf-8")
           for key, value in environ.items() if env_orig[key] != value]
    return ret

httpd = make_server('', 8000, simple_app)
print("Serving on port 8000...")
httpd.serve_forever()
