#!/usr/bin/env python
#-*- coding: utf-8 -*-

import sys
from datetime import datetime
from apachelog import Parser, parse_date

"""
Cette version a une emprunte mémoire beaucoup plus important !
"""

fmt = r'%h %l %u %t \"%r\" %>s %b \"%{Referer}i\" \"%{User-agent}i\"'

def parse_apache_log(fichier, format_):
    p = Parser(format_)
    return [p.parse(line) for line in open(fichier)]

if __name__ == '__main__':
    for line in parse_apache_log('jdm_access.log', fmt):
        print(line)
        sys.exit()
