#!/usr/bin/env python
#-*- coding: utf-8 -*-

"""
- commencer par f = open('ls') dans ipython
- regarder en tapant f.<TAB> les méthodes accessibles
- l = f.readlines()
- type(l) # réflexe list -> iterateur
- l.<TAB>
"""

class Ls:
    def __init__(self, ls_line):
        ls_list = ls_line.split()
        self.rights = ls_list[0]
        self.nlinks = ls_list[1]
        self.owner = ls_list[2]
        self.group = ls_list[3]
        self.size = ls_list[4]
        self.month = ls_list[5]
        self.day = ls_list[6]
        self.hour = ls_list[7]
        self.name = ls_list[8]

with open('ls') as f:
    for ls_line in f:
        ls = Ls(ls_line)
        print("{}: {}".format(ls.name, ls.size))
